Subject: Re: [PATCH] update-cache.c ignore directories

From: "atani" <[email-masked]>
Date: Fri, 22 Apr 2005 15:34:17 -0700

> Am Samstag, 23. April 2005 00:25 schrieb atani: 
>  
> > Now it spits out: 
> > ------------- 
> > 'plx' is a directory, ignoring 
> > ------------- 
>  
> I saw that you spit this out to stdout. Wouldn't it be better to 
spit it out  
> to stderr (even if its just a warning)? 
 
Sure.  I do not know of the current conventions on where the output 
should go, or which methods to use for said output.  Is there a 
standard method for handling "warnings"?  I saw there is the "die" 
method but that is not what should be used here as implies a "fatal" 
error. 
 
Mike